Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.security.publickey
Class DHKeyAgreement

    java.lang.Object
      com.mindbright.jce.crypto.KeyAgreementSpi
          com.mindbright.security.publickey.DHKeyAgreement

public final class DHKeyAgreement
extends KeyAgreementSpi

Constructor Summary
`DHKeyAgreement()`

Method Summary
`protected Key` | `engineDoPhase(Key key, boolean lastPhase)`
`protected byte[]` | `engineGenerateSecret()`
`protected int` | `engineGenerateSecret(byte[] sharedSecret, int offset)`
`protected SecretKey` | `engineGenerateSecret(java.lang.String algorithm)`
`protected void` | `engineInit(Key key, AlgorithmParameterSpec params, SecureRandom random)`
`protected void` | `engineInit(Key key, SecureRandom random)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DHKeyAgreement

    public DHKeyAgreement()

Method Detail

### engineInit

    protected void engineInit(Key key,
                              SecureRandom random)
                       throws InvalidKeyException

  Specified by:
    `engineInit` in class `KeyAgreementSpi`
  Throws:
    `InvalidKeyException`

### engineInit

    protected void engineInit(Key key,
                              AlgorithmParameterSpec params,
                              SecureRandom random)
                       throws InvalidKeyException,
                              InvalidAlgorithmParameterException

  Specified by:
    `engineInit` in class `KeyAgreementSpi`
  Throws:
    `InvalidKeyException`
    `InvalidAlgorithmParameterException`

### engineDoPhase

    protected Key engineDoPhase(Key key,
                                boolean lastPhase)
                         throws InvalidKeyException,
                                java.lang.IllegalStateException

  Specified by:
    `engineDoPhase` in class `KeyAgreementSpi`
  Throws:
    `InvalidKeyException`
    `java.lang.IllegalStateException`

### engineGenerateSecret

    protected byte[] engineGenerateSecret()
                                   throws java.lang.IllegalStateException

  Specified by:
    `engineGenerateSecret` in class `KeyAgreementSpi`
  Throws:
    `java.lang.IllegalStateException`

### engineGenerateSecret

    protected int engineGenerateSecret(byte[] sharedSecret,
                                       int offset)
                                throws java.lang.IllegalStateException,
                                       ShortBufferException

  Specified by:
    `engineGenerateSecret` in class `KeyAgreementSpi`
  Throws:
    `java.lang.IllegalStateException`
    `ShortBufferException`

### engineGenerateSecret

    protected SecretKey engineGenerateSecret(java.lang.String algorithm)
                                      throws java.lang.IllegalStateException,
                                             NoSuchAlgorithmException,
                                             InvalidKeyException

  Specified by:
    `engineGenerateSecret` in class `KeyAgreementSpi`
  Throws:
    `java.lang.IllegalStateException`
    `NoSuchAlgorithmException`
    `InvalidKeyException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD